# Glom::ConnectionPoolBackends::Sqlite Class Reference

Inherits Glom::ConnectionPoolBackends::Backend.

Collaboration diagram for Glom::ConnectionPoolBackends::Sqlite:
[legend]

List of all members.

## Public Member Functions

| Sqlite ()
void | set_database_directory_uri (const std::string& directory_uri)
const std::string& | get_database_directory_uri () const

## Constructor & Destructor Documentation

Glom::ConnectionPoolBackends::Sqlite::Sqlite | ( |  | ) |

## Member Function Documentation

const std::string & Glom::ConnectionPoolBackends::Sqlite::get_database_directory_uri | ( |  | ) | const

void Glom::ConnectionPoolBackends::Sqlite::set_database_directory_uri | ( | const std::string & | directory_uri | ) |

The documentation for this class was generated from the following files:

- connectionpool_backends/sqlite.h
- connectionpool_backends/sqlite.cc